<!-- <StackLayout *ngIf="!showStoreList">
    <Label [text]="errorMessage" *ngIf="errorMessage != null" class="error"></Label>
    <GridLayout row="0" rows="auto, auto, auto" columns="auto, auto">
        <Label text="Store Name" row="0" class="label"></Label>
        <TextField hint="Type the store name here..." [(ngModel)]="selectedStoreName" class="input" row="1" col="0"></TextField>
        <Image (tap)="OpenStoreSelect()" src="~/app/shared/icons/dropdown.png" class="dropdownBtn" row="1" col="1"></Image>
    </GridLayout>
</StackLayout> -->
<StackLayout>
    <Label text="Select a Store" class="title"></Label>
    <GridLayout rows="auto" columns="120 *">
        <Label text="Show all Stores?" class="label" row="0" col="0"></Label>
        <Switch [(ngModel)]="showAllStores" (checkedChange)="ToggleShowAllStores($event)" row="0" col="1"></Switch>
    </GridLayout>
    <!-- Default no filter view -->
    <ListView [items]="stores" height="500">
        <ng-template let-item="item">
            <StackLayout>
                <ScrollView height="40">
                    <StackLayout *ngIf="item !== null && item !== undefined">
                        <Label [text]="item.name" (tap)="RedirectToItems(item)" class="storeName"></Label>
                    </StackLayout>
                </ScrollView>
            </StackLayout>
        </ng-template>
    </ListView>
</StackLayout>

<AbsoluteLayout class="dialog-wrapper" *ngIf="showStoreList">
    <StackLayout class="dialog">
        <Label text="Please choose store with price" class="label"></Label>
        <ListPicker [items]="storeNameList" [selectedIndex]="selectedStoreInd" (selectedIndexChange)="OnSelectedIndexChanged($event)"></ListPicker>
        <Button (tap)="SaveStoreSelection()" class="btn btn-primary" text="Confirm"></Button>
        <Button (tap)="CloseStoreSelect()" class="btn" text="Cancel"></Button>
    </StackLayout>
</AbsoluteLayout>
